Bug 68895 - mm not compiled to use SysV shared memory or semaphores
Summary: mm not compiled to use SysV shared memory or semaphores
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mm   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 68896
TreeView+ depends on / blocked
 
Reported: 2002-07-15 19:55 UTC by Jonathan Kamens
Modified: 2007-04-18 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-15 19:58:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:153 normal SHIPPED_LIVE : Updated mm packages fix temporary file handling 2002-07-24 04:00:00 UTC
Red Hat Product Errata RHSA-2002:154 normal SHIPPED_LIVE Moderate: mm security update 2002-07-25 04:00:00 UTC
Red Hat Product Errata RHSA-2002:156 normal SHIPPED_LIVE : Updated secureweb packages fix temporary file handling 2002-07-25 04:00:00 UTC

Description Jonathan Kamens 2002-07-15 19:55:14 UTC
It appears that mm-1.1.3-7 doesn't use SysV shared memory or semaphores.  I
think it should be configured with --with-shm=IPCSHM --with-sem=IPCSEM.

Comment 1 Nalin Dahyabhai 2002-07-24 19:05:52 UTC
1.1.3-7 uses IPCSHM shared memory and fcntl semaphores.  Forcing IPCSEM in
1.1.3-8 and later.

Comment 2 Mark J. Cox 2002-07-31 08:51:38 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-153.html


Comment 3 John Newbigin 2002-10-16 08:19:30 UTC
On Rh7.2, this causes breakage when the kernel runs out of semaphores.  running
php scripts directly leaks semaphores like a sive (2 per execution) and can
consume all available semaphore arrays in next to no time.

Until the bugs in php are fixed I will have to revert to the previous mm version.


Note You need to log in before you can comment on or make changes to this bug.